aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/suricata/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/suricata/autogen.sh')
-rwxr-xr-xframework/src/suricata/autogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/framework/src/suricata/autogen.sh b/framework/src/suricata/autogen.sh
new file mode 100755
index 00000000..1e15b809
--- /dev/null
+++ b/framework/src/suricata/autogen.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+if which libtoolize > /dev/null; then
+ echo "Found libtoolize"
+ libtoolize -c
+elif which glibtoolize > /dev/null; then
+ echo "Found glibtoolize"
+ glibtoolize -c
+else
+ echo "Failed to find libtoolize or glibtoolize, please ensure it is installed and accessible via your PATH env variable"
+ exit 1
+fi;
+autoreconf -fv --install || exit 1
+echo "You can now run \"./configure\" and then \"make\"."